Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection
Class Detection

    java.lang.Object
      org.jboss.remoting.detection.Detection

All Implemented Interfaces:
  java.io.Serializable

    public class Detection

extends java.lang.Object
implements java.io.Serializable

Detection is an MBean Notification that is fired by Detectors when remote servers are found or lost on the Network.

Version:
  $Revision: 1104 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`Detection(Identity identity, ServerInvokerMetadata[] serverInvokers)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Identity` | `getIdentity()` return the jboss identity
`InvokerLocator[]` | `getLocators()` return the locators for the server
`ServerInvokerMetadata[]` | `getServerInvokers()` Gets all the server invoker metadata for the servers running on specified server.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Detection

    public Detection(Identity identity,
                     ServerInvokerMetadata[] serverInvokers)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIdentity

    public final Identity getIdentity()

  return the jboss identity

  Returns:

### getLocators

    public final InvokerLocator[] getLocators()

  return the locators for the server

  Returns:

### getServerInvokers

    public final ServerInvokerMetadata[] getServerInvokers()

  Gets all the server invoker metadata for the servers running on specified server. Will include locator and supported subsystems for that locator.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.